Bug 997402 - [RHEVM][backend][Network QoS] improve logging on QoS changes
[RHEVM][backend][Network QoS] improve logging on QoS changes
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity low
: ---
: 3.3.0
Assigned To: ofri
network
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 08:26 EDT by Martin Pavlik
Modified: 2016-02-10 14:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 09:11:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Pavlik 2013-08-15 08:26:53 EDT
Description of problem:

If QoS is changed, e.g. Inbound Peak is updated, following line appears in log

2013-08-15 14:10:33,832 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-12) Correlation ID: 158f017b, Call Stack: null, Custom Event ID: -1, Message: Network QoS aaaab was updated. (User: admin@internal)

it says there was some update, but that's it. It would be better if it contained an information on what and how was updated.

e.g. 

...Message: Network QoS aaaab Inbound Peak value was updated to 10 Mbps. (User: admin@internal)

For the customer it is important to see what, how and when was changed, especially in a case of some problem.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.15.master.el6ev
Comment 4 Doron Fediuck 2013-08-20 08:37:38 EDT
Martin,
Change reports is a bigger issue the system does not support today.
The report you are asking for would also be relevant for a VM (moving from HA to non HA), changing RAM size and many other examples.

I suggest you change this BZ to an RFE fwhich will report user changes,
and QoS may be included.
Comment 5 Martin Pavlik 2013-08-20 09:11:31 EDT
(In reply to Doron Fediuck from comment #4)
> Martin,
> Change reports is a bigger issue the system does not support today.
> The report you are asking for would also be relevant for a VM (moving from
> HA to non HA), changing RAM size and many other examples.
> 
> I suggest you change this BZ to an RFE fwhich will report user changes,
> and QoS may be included.


Raised new RFE https://bugzilla.redhat.com/show_bug.cgi?id=998980

closing this BZ

Note You need to log in before you can comment on or make changes to this bug.